# Kaolin: A Pytorch Library for Accelerating 3D Deep Learning Research

<p align="center">
    <img src="assets/kaolin.png">
</p>

## Overview
NVIDIA Kaolin library provides a PyTorch API for working with a variety of 3D representations and includes a growing collection of GPU-optimized operations such as modular differentiable rendering, fast conversions between representations, data loading, 3D checkpoints and more. 

Kaolin library is part of a larger suite of tools for 3D deep learning research. For example, NVIDIA Omniverse Kaolin app (coming soon!) will allow interactive visualization of 3D checkpoints. To find out more about the Kaolin ecosystem, visit the [NVIDIA Kaolin Dev Zone page](https://developer.nvidia.com/kaolin).

## Installation and Getting Started

Visit the [Kaolin Library Documentation](https://kaolin.readthedocs.io/en/latest/) to get started!

## About this Update

With the version 0.9 release we have revamped the entire Kaolin library, redesigned the API, rewrote and optimized operations and removed unreliable or outdated code. Although this may appear to be a smaller library than our [original release](https://github.com/NVIDIAGameWorks/kaolin/tree/v0.1), test-driven development of Kaolin>=0.9 ensures reliable functionality and timely updates from now on. See [change logs](https://github.com/NVIDIAGameWorks/kaolin/releases/tag/v0.9) for details.

## Contributing

Please review our [contribution guidelines](CONTRIBUTING.md).

## Contributors

In alphabetical order:

- Wenzheng Chen
- Sanja Fidler
- Clement Fuji Tsang
- Jason Gorski
- Jean-Francois Lafleche
- Rev Lebaredian
- Jianing Li
- Krishna Murthy
- Artem Rozantsev
- Frank Shen
- Masha Shugrina
- Edward Smith
- Gavriel State
- Jiehan Wang
- Tommy Xiang
